librevenge::RVNGTextSpreadsheetGeneratorImpl Struct Reference documentation

Public Member Functions | Public Attributes | List of all members
librevenge::RVNGTextSpreadsheetGeneratorImpl Struct Reference

## Public Member Functions
| RVNGTextSpreadsheetGeneratorImpl (RVNGStringVector &sheets, bool isInfo)

## Public Attributes
RVNGStringVector & | m_sheets
| list of final string corresponding to each sheet More...
std::ostringstream | m_stream
| the file stream More...
std::ostringstream | m_rowStream
| the actual row stream More...
std::ostringstream | m_cellStream
| the actual cell stream More...
int | m_numRowRepeated
| the number of repetition of the actual row More...
int | m_numCellRepeated
| the number of repetition of the actual cell More...
int | m_numCellToSkip
| the number of empty cell which follow current cell More...
int | m_column
| the current column More...
int | m_row
int | m_numColumnsInRow
| the number of column written in the current row More...
bool | m_isInfo
| if set, do not generate output More...
int | m_sheetLevel
| the number of opened sheet, to avoid recursion More...

## Constructor & Destructor Documentation

## ◆ RVNGTextSpreadsheetGeneratorImpl()

librevenge::RVNGTextSpreadsheetGeneratorImpl::RVNGTextSpreadsheetGeneratorImpl | ( | RVNGStringVector & | sheets,
|  | bool | isInfo
| ) |  |
| explicit

## Member Data Documentation

## ◆ m_cellStream

std::ostringstream librevenge::RVNGTextSpreadsheetGeneratorImpl::m_cellStream

the actual cell stream

Referenced by librevenge::RVNGTextSpreadsheetGenerator::closeParagraph(), librevenge::RVNGTextSpreadsheetGenerator::closeSheetCell(), librevenge::RVNGTextSpreadsheetGenerator::insertLineBreak(), librevenge::RVNGTextSpreadsheetGenerator::insertSpace(), librevenge::RVNGTextSpreadsheetGenerator::insertTab(), librevenge::RVNGTextSpreadsheetGenerator::insertText(), and librevenge::RVNGTextSpreadsheetGenerator::openSheetCell().

## ◆ m_column

int librevenge::RVNGTextSpreadsheetGeneratorImpl::m_column

the current column

Referenced by librevenge::RVNGTextSpreadsheetGenerator::closeSheetCell(), librevenge::RVNGTextSpreadsheetGenerator::insertCoveredTableCell(), librevenge::RVNGTextSpreadsheetGenerator::openSheet(), librevenge::RVNGTextSpreadsheetGenerator::openSheetCell(), librevenge::RVNGTextSpreadsheetGenerator::openSheetRow(), and librevenge::RVNGTextSpreadsheetGenerator::openTable().

## ◆ m_isInfo

bool librevenge::RVNGTextSpreadsheetGeneratorImpl::m_isInfo

if set, do not generate output

Referenced by librevenge::RVNGTextSpreadsheetGenerator::closeParagraph(), librevenge::RVNGTextSpreadsheetGenerator::closeSheetCell(), librevenge::RVNGTextSpreadsheetGenerator::closeSheetRow(), librevenge::RVNGTextSpreadsheetGenerator::insertLineBreak(), librevenge::RVNGTextSpreadsheetGenerator::insertSpace(), librevenge::RVNGTextSpreadsheetGenerator::insertTab(), librevenge::RVNGTextSpreadsheetGenerator::insertText(), librevenge::RVNGTextSpreadsheetGenerator::openSheetCell(), and librevenge::RVNGTextSpreadsheetGenerator::setDocumentMetaData().

## ◆ m_numCellRepeated

int librevenge::RVNGTextSpreadsheetGeneratorImpl::m_numCellRepeated

the number of repetition of the actual cell

Referenced by librevenge::RVNGTextSpreadsheetGenerator::closeSheetCell(), and librevenge::RVNGTextSpreadsheetGenerator::openSheetCell().

## ◆ m_numCellToSkip

int librevenge::RVNGTextSpreadsheetGeneratorImpl::m_numCellToSkip

the number of empty cell which follow current cell

Referenced by librevenge::RVNGTextSpreadsheetGenerator::closeSheetCell(), and librevenge::RVNGTextSpreadsheetGenerator::openSheetCell().

## ◆ m_numColumnsInRow

int librevenge::RVNGTextSpreadsheetGeneratorImpl::m_numColumnsInRow

the number of column written in the current row

Referenced by librevenge::RVNGTextSpreadsheetGenerator::closeSheetCell(), and librevenge::RVNGTextSpreadsheetGenerator::openSheetRow().

## ◆ m_numRowRepeated

int librevenge::RVNGTextSpreadsheetGeneratorImpl::m_numRowRepeated

the number of repetition of the actual row

Referenced by librevenge::RVNGTextSpreadsheetGenerator::closeSheetRow(), and librevenge::RVNGTextSpreadsheetGenerator::openSheetRow().

## ◆ m_row

int librevenge::RVNGTextSpreadsheetGeneratorImpl::m_row

Referenced by librevenge::RVNGTextSpreadsheetGenerator::closeSheetRow(), librevenge::RVNGTextSpreadsheetGenerator::openSheet(), librevenge::RVNGTextSpreadsheetGenerator::openSheetRow(), and librevenge::RVNGTextSpreadsheetGenerator::openTable().

## ◆ m_rowStream

std::ostringstream librevenge::RVNGTextSpreadsheetGeneratorImpl::m_rowStream

the actual row stream

Referenced by librevenge::RVNGTextSpreadsheetGenerator::closeSheetCell(), librevenge::RVNGTextSpreadsheetGenerator::closeSheetRow(), and librevenge::RVNGTextSpreadsheetGenerator::openSheetRow().

## ◆ m_sheetLevel

int librevenge::RVNGTextSpreadsheetGeneratorImpl::m_sheetLevel

the number of opened sheet, to avoid recursion

Referenced by librevenge::RVNGTextSpreadsheetGenerator::closeParagraph(), librevenge::RVNGTextSpreadsheetGenerator::closeSheet(), librevenge::RVNGTextSpreadsheetGenerator::closeSheetCell(), librevenge::RVNGTextSpreadsheetGenerator::closeSheetRow(), librevenge::RVNGTextSpreadsheetGenerator::closeTable(), librevenge::RVNGTextSpreadsheetGenerator::insertCoveredTableCell(), librevenge::RVNGTextSpreadsheetGenerator::insertLineBreak(), librevenge::RVNGTextSpreadsheetGenerator::insertSpace(), librevenge::RVNGTextSpreadsheetGenerator::insertTab(), librevenge::RVNGTextSpreadsheetGenerator::insertText(), librevenge::RVNGTextSpreadsheetGenerator::openSheet(), librevenge::RVNGTextSpreadsheetGenerator::openSheetCell(), librevenge::RVNGTextSpreadsheetGenerator::openSheetRow(), and librevenge::RVNGTextSpreadsheetGenerator::openTable().

## ◆ m_sheets

RVNGStringVector& librevenge::RVNGTextSpreadsheetGeneratorImpl::m_sheets

list of final string corresponding to each sheet

Referenced by librevenge::RVNGTextSpreadsheetGenerator::closeSheet().

## ◆ m_stream

std::ostringstream librevenge::RVNGTextSpreadsheetGeneratorImpl::m_stream

the file stream

Referenced by librevenge::RVNGTextSpreadsheetGenerator::closeSheet(), librevenge::RVNGTextSpreadsheetGenerator::closeSheetRow(), librevenge::RVNGTextSpreadsheetGenerator::openSheetRow(), and librevenge::RVNGTextSpreadsheetGenerator::setDocumentMetaData().

The documentation for this struct was generated from the following file:

- RVNGTextSpreadsheetGenerator.cpp